# $Revision: 1.103 $, $Date: 2011/04/26 13:27:56 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Assistive Technology Service Provider Interface
Summary(pl.UTF-8):	Interfejs pozwalający na korzystanie z urządzeń wspomagających
Name:		at-spi
Version:	1.32.0
Release:	4
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/at-spi/1.32/%{name}-%{version}.tar.bz2
# Source0-md5:	bc62c41f18529d56271fa1ae6cad8629
URL:		http://developer.gnome.org/projects/gap/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	ORBit2-devel >= 2.14.10
BuildRequires:	atk-devel >= 1:1.30.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.76
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonobo-devel >= 2.24.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	python-modules
BuildRequires:	rpm-build >= 4.1-10
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXft-devel >= 2.1
BuildRequires:	xorg-lib-libXtst-devel
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AT-SPI allows assistive technologies to access GTK-based applications.
Essentially it exposes the internals of applications for automation,
so tools such as screen readers, magnifiers, or even scripting
interfaces can query and interact with GUI controls.

%description -l pl.UTF-8
AT-SPI pozwala na korzystanie z urządzeń wspomagających w celu dostępu
do aplikacji bazujących na GTK. Przede wszystkim udostępnia wewnętrzne
interfejsy aplikacji dla automatyzacji, więc urządzenia takie jak
czytniki ekranu, lupy, czy nawet interfejsy skryptowe mogą odpytywać i
współpracować z kontrolkami interfejsu graficznego.

%package libs
Summary:	at-spi libraries themselves
Summary(pl.UTF-8):	Same biblioteki at-spi
Group:		Libraries
Requires(post,postun):	/sbin/ldconfig
Obsoletes:	libat-spi1

%description libs
at-spi libraries themselves.

%description libs -l pl.UTF-8
Same biblioteki at-spi.

%package devel
Summary:	AT-SPI development files
Summary(pl.UTF-8):	Pliki programistyczne AT-SPI
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ORBit2-devel >= 2.14.10
Requires:	atk-devel >= 1:1.30.0
Requires:	gtk+2-devel >= 2:2.20.0
Requires:	libbonobo-devel >= 2.24.0
Obsoletes:	libat-spi1-devel

%description devel
AT-SPI development files.

%description devel -l pl.UTF-8
Pliki programistyczne AT-SPI.

%package static
Summary:	AT-SPI static library
Summary(pl.UTF-8):	Statyczna biblioteka AT-SPI
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
AT-SPI static library.

%description static -l pl.UTF-8
Statyczna biblioteka AT-SPI.

%package apidocs
Summary:	AT-SPI API documentation
Summary(pl.UTF-8):	Dokumentacja API AT-SPI
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
AT-SPI API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API AT-SPI.

%package -n python-pyatspi_corba
Summary:	AT-SPI Python bindings
Summary(pl.UTF-8):	Wiązania AT-SPI dla Pythona
Group:		Development/Languages/Python
Requires:	python-pyorbit
Obsoletes:	python-pyspi

%description -n python-pyatspi_corba
AT-SPI Python bindings.

%description -n python-pyatspi_corba -l pl.UTF-8
Wiązania AT-SPI dla Pythona.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	%{__enable_disable static_libs static} \
	--enable-relocate \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

# no static modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/{gtk-2.0/modules/at-spi-corba/modules,orbit-2.0}/*.{la,a}

%py_postclean

%find_lang %{name}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install at-spi.schemas

%preun
%gconf_schema_uninstall at-spi.schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%{_sysconfdir}/gconf/schemas/at-spi.schemas
%{_sysconfdir}/xdg/autostart/at-spi-registryd.desktop
%{_datadir}/idl/at-spi-1.0

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcspi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcspi.so.0
%attr(755,root,root) %{_libdir}/libloginhelper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libloginhelper.so.0
%attr(755,root,root) %{_libdir}/libspi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspi.so.0
%attr(755,root,root) %{_libexecdir}/at-spi-registryd
%attr(755,root,root) %{_libdir}/orbit-2.0/Accessibility_LoginHelper_module.so
%attr(755,root,root) %{_libdir}/orbit-2.0/Accessibility_module.so
%dir %{_libdir}/gtk-2.0/modules/at-spi-corba
%dir %{_libdir}/gtk-2.0/modules/at-spi-corba/modules
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/at-spi-corba/modules/libatk-bridge.so
%{_libdir}/bonobo/servers/Accessibility_Registry.server

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcspi.so
%attr(755,root,root) %{_libdir}/libloginhelper.so
%attr(755,root,root) %{_libdir}/libspi.so
%{_includedir}/at-spi-1.0
%{_pkgconfigdir}/cspi-1.0.pc
%{_pkgconfigdir}/libloginhelper-1.0.pc
%{_pkgconfigdir}/libspi-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcspi.a
%{_libdir}/libloginhelper.a
%{_libdir}/libspi.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/at-spi-cspi
%{_docdir}/%{name}-%{version}

%files -n python-pyatspi_corba
%defattr(644,root,root,755)
%dir %{py_sitedir}/pyatspi_corba
%{py_sitedir}/pyatspi_corba/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: at-spi.spec,v $
Revision 1.103  2011/04/26 13:27:56  megabajt
- enabled relocate - now CORBA and D-BUS based at-spi may coexist
- renamed package with python bindings to python-pyatspi_corba
- release 4

Revision 1.102  2011/04/09 20:58:00  lisu
- drop libtool files
- rel 3

Revision 1.101  2011/03/26 12:20:37  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- spelling in -libs (but the description is not even true anyway)

Revision 1.100  2010/10/15 09:38:55  baggins
- rel 2
- moved libraries to -libs package for multiarch installs

Revision 1.99  2010/09/27 16:27:52  megabajt
- updated to 1.32.0

Revision 1.98  2010/07/09 11:13:01  arekm
- release 2

Revision 1.97  2010/04/26 16:02:50  megabajt
- updated to 1.30.1

Revision 1.96  2010/03/30 16:44:43  megabajt
- merged from DEVEL

Revision 1.94.2.2  2010/03/30 16:43:01  megabajt
- updated to 1.30.0

Revision 1.95  2010/03/04 12:07:40  hawk
- release 4

Revision 1.94.2.1  2010/02/10 18:28:50  megabajt
- updated to 1.29.90
- removed en@shaw locale

Revision 1.94  2009/11/27 00:19:49  sparky
- BR: docbook-dtd412-xml, python-modules, rpm-pythonprov

Revision 1.93  2009/11/12 11:35:57  patrys
- rebuild
- rel 3

Revision 1.92  2009/10/20 18:49:19  megabajt
- drop BR xorg-lib-libXevie-devel
- release 2

Revision 1.91  2009/10/20 18:41:21  megabajt
- updated to 1.28.1

Revision 1.90  2009/09/25 16:31:58  megabajt
- updated to 1.28.0

Revision 1.89  2009/06/17 20:11:11  hawk
- release 2

Revision 1.88  2009/03/16 15:33:07  megabajt
- updated to 1.26.0; merged changes from DEVEL

Revision 1.87  2009/03/13 17:46:49  hawk
- release 2

Revision 1.86.2.2  2009/03/04 19:34:26  megabajt
- updated to 1.25.92

Revision 1.86.2.1  2009/02/18 09:22:37  megabajt
- updated to 1.25.5

Revision 1.86  2008/12/19 17:05:32  megabajt
- updated to 1.24.1

Revision 1.85  2008/11/09 13:02:14  megabajt
- release 4

Revision 1.84  2008/10/04 19:55:09  megabajt
- added O: python-pyspi to python-pyatspi package
- release 3

Revision 1.83  2008/10/04 14:16:40  megabajt
- release 2

Revision 1.82  2008/09/28 20:07:12  ankry
- nds _is_ a supported language

Revision 1.81  2008/09/28 15:41:52  megabajt
- updated Source-md5

Revision 1.80  2008/09/28 15:41:08  megabajt
- removed unsupported (?) nds_DE locale

Revision 1.79  2008/09/26 08:54:41  megabajt
- updated to 1.24.0; merged changes from DEVEL

Revision 1.78.2.5  2008/09/13 11:19:16  patrys
- 1.23.92

Revision 1.78.2.4  2008/08/20 09:49:30  patrys
- don't override libexecdir so it actually works

Revision 1.78.2.3  2008/08/04 13:37:13  patrys
- 1.23.6

Revision 1.78.2.2  2008/07/23 12:53:05  megabajt
- updated to 1.23.5
- removed ps locale

Revision 1.78.2.1  2008/06/03 10:11:06  patrys
- 1.23.3

Revision 1.78  2008-04-07 12:42:35  megabajt
- updated to 1.22.1

Revision 1.77  2008-03-10 17:15:41  megabajt
- updated to 1.22.0; merged changes from DEVEL

Revision 1.76.2.2  2008-03-02 22:16:45  megabajt
- updated to 1.21.92

Revision 1.76.2.1  2008-01-19 21:55:31  megabajt
- updated to 1.21.5
- more verbose files

Revision 1.76  2007-11-03 22:54:53  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.75  2007/10/15 16:08:44  megabajt
- updated to 1.20.1

Revision 1.74  2007/09/17 14:33:25  megabajt
- added python-pyatspi subpackage
- updated deps
- s/at-spi/AT-SPI/

Revision 1.73  2007/09/17 09:49:11  patrys
- 1.20.0

Revision 1.72  2007/04/09 17:23:54  megabajt
- updated to 1.18.1

Revision 1.71  2007/03/12 15:47:07  megabajt
- updated to 1.18.0; merged changes from DEVEL

Revision 1.70.2.1  2007/03/03 00:02:14  megabajt
- updated to 1.17.2

Revision 1.70  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.69  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.68  2007/01/13 11:22:47  megabajt
- up to 1.7.15

Revision 1.67  2006/10/05 22:00:17  grzegol
- package ug lang files (languages added in glibc-2.5)

Revision 1.66  2006/10/03 09:58:57  grzegol
- 1.7.12

Revision 1.65  2006/08/26 13:51:03  grzegol
- updated to 1.7.11
- added apidocs subpackage

Revision 1.64  2006/07/27 18:23:49  freetz
- 1.7.10, TODO added

Revision 1.63  2006/07/14 21:59:15  freetz
- md5

Revision 1.62  2006/07/14 21:55:06  freetz
- merged from DEVEL and updated to 1.7.9, updated deps, --as-needed,
  reference docs still not packaged

Revision 1.61.2.2  2006/03/13 18:02:07  freetz
- 1.7.6, package locale files

Revision 1.61.2.1  2006/02/18 18:31:42  wiget
- updated to 1.7.4

Revision 1.61  2005/09/06 11:24:43  paladine
- updated to 1.6.6

Revision 1.60  2005/08/31 09:49:36  paladine
- reverted sorting %%files in base package

Revision 1.59  2005/08/31 07:43:26  paladine
- updated to 1.6.5 (bugfixes)
- sorted %%files and %%configure options

Revision 1.58  2005/06/26 23:07:29  zbyniu
- removed BR: perl-base, popt-devel required somewhere else
- R: ORBit2-devel, gail-devel in -devel, rel 2, STBR

Revision 1.57  2005/06/16 14:29:25  witekfl
- added bcond_without static_libs

Revision 1.56  2005/06/08 15:17:48  zbyniu
- BR: intltool

Revision 1.55  2005/05/16 08:15:35  paladine
- updated to 1.6.4

Revision 1.54  2005/03/10 08:38:03  paladine
- updated to 1.6.3
- proper license

Revision 1.53  2004/12/09 17:49:42  paladine
- updated to 1.6.2 STBR

Revision 1.52  2004/12/07 15:43:18  grzegol
- updated to 1.6.1

Revision 1.51  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.50  2004/11/05 10:40:37  paladine
- spaces->tabs
- cosmetics

Revision 1.49  2004/09/15 18:24:36  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.48  2004/09/13 17:48:17  grzegol
- merged from DEVEL and updated to 1.6.0

Revision 1.47  2004/08/17 12:50:37  ankry
- rel. 3

Revision 1.46  2004/08/01 14:26:31  krzak
- Requires: gtk+2-devel,libbonobo-devel to devel package
- Rel. 2

Revision 1.45.2.6  2004/09/12 21:11:40  grzegol
- updated to 1.5.5

Revision 1.45.2.5  2004/08/30 18:32:45  grzegol
- updated to 1.5.4

Revision 1.45.2.4  2004/08/21 15:34:36  aflinta
- added epoch to atk-devel

Revision 1.45.2.3  2004/07/20 22:28:36  grzegol
- updated to 1.5.3

Revision 1.45.2.2  2004/07/01 13:12:55  grzegol
- added Requires to -devel subpackage

Revision 1.45.2.1  2004/07/01 13:03:43  grzegol
- updated to 1.5.2

Revision 1.45  2004/04/19 17:20:32  grzegol
- updated to 1.4.2

Revision 1.44  2004/03/23 12:03:59  grzegol
- updated to 1.4.0

Revision 1.43  2004/03/15 16:41:11  adamg
- updated to 1.3.16

Revision 1.42  2004/03/08 23:58:38  grzegol
- updated to 1.3.15

Revision 1.41  2004/03/01 20:39:28  aflinta
- up to version 1.3.14

Revision 1.40  2004/02/24 22:30:08  grzegol
- updated to 1.3.13
- removed outdated am patch
- added BR: perl-base, strict internal deps
- added --enable-gtk-doc and --with-html-dir to configure

Revision 1.39  2004/02/10 14:35:45  grzegol
- updated to 1.3.12

Revision 1.38  2004/01/12 16:54:00  grzegol
- updated to 1.3.11

Revision 1.37  2003/12/08 10:02:57  trojan
- updated to 1.3.9

Revision 1.36  2003/11/10 23:22:20  qboosh
- BR: ac,am,lt

Revision 1.35  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.34  2003/10/14 07:00:30  trojan
- updated to 1.3.8

Revision 1.33  2003/09/08 20:20:48  grzegol
- updated to 1.3.7

Revision 1.32  2003/08/18 08:07:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/08/08 13:13:26  grzegol
- updated to 1.3.6

Revision 1.30  2003/08/06 16:30:39  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.29  2003/06/30 18:01:33  aflinta
 - version 1.3.5

Revision 1.28  2003/06/17 06:25:02  aflinta
- version 1.3.4

Revision 1.27  2003/05/27 08:01:33  trojan
- added Source-md5

Revision 1.26  2003/05/25 05:45:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/05/19 19:38:14  aflinta
- version 1.3.2

Revision 1.24  2003/05/12 18:37:37  aflinta
- release 2

Revision 1.23  2003/05/12 13:22:07  qboosh
- removed static modules and *.la for gtk+ and orbit modules
- s/Xft-devel/xft-devel/ in BR

Revision 1.22  2003/05/06 05:20:36  aflinta
- version 1.3.1

Revision 1.21  2003/05/01 18:00:35  aflinta
- version 1.3.0

Revision 1.20  2003/03/28 08:22:31  aflinta
- removed self require during build

Revision 1.19  2003/03/27 11:50:02  aflinta
- updated to version 1.1.9

Revision 1.18  2003/01/13 07:23:51  trojan
- fixed %%files (no need 755 for *.la)

Revision 1.17  2002/12/18 19:33:47  aflinta
- updated to version 1.1.8

Revision 1.16  2002/12/16 19:54:29  aflinta
- updated to version 1.1.7

Revision 1.15  2002/12/06 21:13:13  aflinta
- updated to version 1.1.6

Revision 1.14  2002/12/05 10:36:24  aflinta
- moved from /usr/X11R6 to /usr, release 4

Revision 1.13  2002/11/28 23:48:30  wrobell
- massive attack: do not put bonobo servers into /usr/lib; remove
  _bonobo_server_dir definition (bonobo-activation configuration
  should be modified to look for servers in /usr and /usr/X11R6)

Revision 1.12  2002/11/28 16:07:07  wrobell
- typo

Revision 1.11  2002/11/28 15:55:34  aflinta
- corrected server file location

Revision 1.10  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.9  2002/11/22 23:08:36  aflinta
- updated to version 1.1.5

Revision 1.8  2002/10/15 20:57:17  aflinta
- updated to version 1.1.2

Revision 1.7  2002/08/31 21:40:00  qboosh
- pl description, release 2

Revision 1.6  2002/08/30 00:44:10  kloczek
- cosmetics.

Revision 1.5  2002/08/29 23:43:35  kloczek
- more work.

Revision 1.4  2002/08/29 22:15:12  aflinta
- updated to version 1.0.2

Revision 1.3  2002/07/02 12:44:32  ankry
- Requires gtk-doc-common for -devel subpackage
- release 2

Revision 1.2  2002/06/23 09:16:19  aflinta
- updated to version 1.0.1

Revision 1.1  2002/06/12 15:52:35  wiget
initial version
